org.keycloak.mappers

## Interface UserFederationMapperFactory

- All Superinterfaces:
    ConfiguredProvider, ProviderFactory<UserFederationMapper>
  All Known Implementing Classes:
    AbstractLDAPFederationMapperFactory, FullNameLDAPFederationMapperFactory, GroupLDAPFederationMapperFactory, HardcodedLDAPRoleMapperFactory, MSADUserAccountControlMapperFactory, RoleLDAPFederationMapperFactory, UserAttributeLDAPFederationMapperFactory

      public interface UserFederationMapperFactory
      extends ProviderFactory<UserFederationMapper>, ConfiguredProvider

  Author:
    Marek Posolda

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getDefaultConfig(UserFederationProviderModel providerModel)` Used to detect what are default values for ProviderConfigProperties specified during mapper creation
    `String` | `getDisplayCategory()`
    `String` | `getDisplayType()`
    `String` | `getFederationProviderType()` Refers to providerName (type) of the federated provider, which this mapper can be used for.
    `UserFederationMapperSyncConfigRepresentation` | `getSyncConfig()` Specifies if mapper supports sync data from federated storage to keycloak and viceversa.
    `void` | `validateConfig(RealmModel realm, UserFederationProviderModel fedProviderModel, UserFederationMapperModel mapperModel)` Called when instance of mapperModel is created for this factory through admin endpoint

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `close, create, getId, init, postInit`

    - ### Methods inherited from interface org.keycloak.provider.ConfiguredProvider

      `getConfigProperties, getHelpText`

- - ### Method Detail

    - #### getFederationProviderType

          String getFederationProviderType()

      Refers to providerName (type) of the federated provider, which this mapper can be used for. For example "ldap" or "kerberos"
      Returns:
        providerName

    - #### getDisplayCategory

          String getDisplayCategory()

    - #### getDisplayType

          String getDisplayType()

    - #### getSyncConfig

          UserFederationMapperSyncConfigRepresentation getSyncConfig()

      Specifies if mapper supports sync data from federated storage to keycloak and viceversa. Also specifies messages to be displayed in admin console UI (For example "Sync roles from LDAP" etc)
      Returns:
        syncConfig representation

    - #### validateConfig

          void validateConfig(RealmModel realm,
                              UserFederationProviderModel fedProviderModel,
                              UserFederationMapperModel mapperModel)
                       throws FederationConfigValidationException

      Called when instance of mapperModel is created for this factory through admin endpoint
      Parameters:
        `realm` -
        `fedProviderModel` -
        `mapperModel` -
      Throws:
        `FederationConfigValidationException` - if configuration provided in mapperModel is not valid

    - #### getDefaultConfig

          Map<String,String> getDefaultConfig(UserFederationProviderModel providerModel)

      Used to detect what are default values for ProviderConfigProperties specified during mapper creation
      Returns:

Copyright © 2016 JBoss by Red Hat. All rights reserved.